
#include "기계닉스\기계닉스_이름정의.h"

#include "기계닉스\Gui.h"


struct ts_전광판전구설정정보
{
  unsigned char   종류;
  unsigned short  크기;
  unsigned int    켜기색;
  unsigned int    끄기색;
  bool            테두리유무;
  unsigned int    테두리색;
  unsigned int    배경색;

};

struct ts_폼디자인
{
  t_생성자  기본_GForm[d_Gui_생성자_크기];
  t_생성자  기준경로_GLabel[d_Gui_생성자_크기];
  t_생성자  비교경로_GLabel[d_Gui_생성자_크기];
  t_생성자  기준경로_GBtn[d_Gui_생성자_크기];
  t_생성자  비교경로_GBtn[d_Gui_생성자_크기];
  t_생성자  추출경로_GLabel[d_Gui_생성자_크기];
  t_생성자  추출경로_GBtn[d_Gui_생성자_크기];
  t_생성자  검사_GBtn[d_Gui_생성자_크기];
  t_생성자  추출_GBtn[d_Gui_생성자_크기];
  t_생성자  출력_GPrintBox[d_Gui_생성자_크기];

  //[2020.09.27.일][추가]
  t_생성자  진행_GProgress[d_Gui_생성자_크기];

  //[모달 관련]
  //{
      bool  기본_GForm_모달;

  //}

};

void _폼디자인_위치얻기(struct ts_폼디자인  **r폼디자인);

void _폼디자인_생성(void);

void _폼디자인_소멸(void);

void _폼디자인_모달_초기화(void);

void _폼디자인_모달_구현(bool  p모달유무);

//[이벤트]
//{
    void _폼디자인_이벤트(struct t_Gui_알림문64  *p알림문64);

    void _폼디자인_기본_GForm_이벤트_Close(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_기본_GForm_이벤트_Resize(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_기준경로_GBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_비교경로_GBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_추출경로_GBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_검사_GBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);
    void _폼디자인_추출_GBtn_이벤트_MClick(struct t_Gui_알림문64  *p알림문64);

//}

